/*-----------------------------------*/
/*  Particle						 */
/*									 */
/* each particle has position, speed */
/* and a lifetime					 */
/*-----------------------------------*/

#ifndef _particle_h_
#define _particle_h_

#include <gl/glut.h>
#include <stdio.h>

class Particle
{
	float x, y, z;
	float r, g, b;
	float speedx, speedy, speedz;
	float lifetime, starttime;

	static const int IMMORTAL = -13;
	
public:
	Particle();

	Particle(float _x, float _y, float _z, float _lifetime);

	void draw();

	void setColor(float _r, float _g, float _b);

	void addSpeed(float _x, float _y, float _z);

	void performTimestep(float alpha);

	bool isAlive();

};
#endif _particle_h_