/*-----------------------------------*/
/*  ParticleEngine					 */
/*									 */
/* control the particles by forces	 */
/* like gravity. erase old particles */
/* and create new one				 */
/*-----------------------------------*/

#ifndef _particleengine_h_
#define _particleengine_h_

#include <list>
#include <math.h>
#include "Particle.h"


class ParticleEngine
{
	std::list<Particle*> particleList;
	float gravx, gravy, gravz;
	int birtrate;
	
	void commonInit();

	void createParticle();
public:
	ParticleEngine();

	ParticleEngine(float _gravx, float _gravy, float _gravz);

	void setGravity(float _x, float _y, float _z);

	void performTimestep(float alpha);

	void draw();

	void setBirthrate(int rate);

};

#endif _particleengine_h_